{* Smarty *}
{if $ctid && $cid}
<h2>{$smarty.const.LN_LINK_SOURCE}:</label></h2>
<p>{$smarty.const.LN_LINK_SOURCE_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="att">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="text" id="att" name="att" class="long" /></td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajaxsources' *}
<div id="ajaxsources"></div>
<h2>{$smarty.const.LN_NEW_SOURCE}:</label></h2>
{/if}
<form action="{$smarty.const.CF_BASE_URL}addsource{if $ctid && $cid}/{$ctid}/{$cid}{/if}" method="post">
<input type="hidden" name="s" value="1" />
<input type="hidden" name="rtid" id="rtid" value="{$rtid}" />
<input type="hidden" name="rid" id="rid" value="{$rid}" />
<p>{$smarty.const.LN_ADD_RECORD_EXPLANATION}</p>
<table>
<tbody>
{if $sour.linked}
	<tr>
		<td>{$smarty.const.LN_LINKED_TO}:</td>
		<td>{$smarty.const.LN_CITATION}: {$sour.linked.cit}</td>
	</tr>
{/if}
	<tr>
		<td><label for="tr">{$smarty.const.LN_TREE}:</label></td>
		<td >{html_options name="tr" id="tr" options=$trees_list selected=$tree}<input type="text" name="nw" id="nw" value="{$new}" /></td>
	</tr>
	<tr>
		<td><label for="abbr">{$smarty.const.LN_ABBR}:</label></td>
		<td><input type="text" name="abbr" id="abbr" value="{$sour.abbr}" /></td>
	</tr>
	<tr>
		<td><label for="titl">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="text" name="titl" id="titl" value="{$sour.titl}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="auth">{$smarty.const.LN_AUTH}:</label></td>
		<td><input type="text" name="auth" id="auth" value="{$sour.auth}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="publ">{$smarty.const.LN_PUBL}:</label></td>
		<td><input type="text" name="publ" id="publ" value="{$sour.publ}" class="long" /></td>
	</tr>
	<tr>
		<td colspan="2"><label for="text">{$smarty.const.LN_TEXT}:</label><textarea name="text" id="text" class="tinymce long">{$sour.text}</textarea></td>
	</tr>
	<tr>
		<td><label for="agnc">{$smarty.const.LN_TAG_AGNC}:</label></td>
		<td><input type="text" name="agnc" id="agnc" value="{$sour.agnc}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="even">{$smarty.const.LN_EVENTS}:</label></td>
		<td>{html_options name=even[] id=even options=$even_type_list selected=$sour.raw.even size=5 multiple=multiple}</td>
	</tr>
	<tr>
		<td><label for="fr">{$smarty.const.LN_DATE}:</label></td>
		<td>
			{html_options name=fr id=fr options=$from_list selected=$sour.raw.from}
			{html_options name=ca id=ca options=$circa_list selected=$sour.raw.circa1}
			<input type="text" name="dy" id="dy" value="{$sour.raw.day1}" maxlength="2" class="short" />
			{html_options name=mo id=mo options=$month_list selected=$sour.raw.month1}
			<input type="text" name="yr" id="yr" value="{$sour.raw.year1}" maxlength="4" class="short" /><br />
			{html_options name=to id=to options=$to_list selected=$sour.raw.to}
			{html_options name=caca id=caca options=$circa_list selected=$sour.raw.circa2}
			<input type="text" name="dydy" id="dydy" value="{$sour.raw.day2}" maxlength="2" class="short" />
			{html_options name=momo id=momo options=$month_list selected=$sour.raw.month2}
			<input type="text" name="yryr" id="yryr" value="{$sour.raw.year2}" maxlength="4" class="short" /><br />
			<input type="text" name="ex" id="ex" value="{$sour.raw.extra}" class="long" />
		</td>
	</tr>
	<tr>
		<td><label for="plac">{$smarty.const.LN_PLACE}:</label></td>
		<td><input type="text" name="plac" id="plac" value="{$sour.plac}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="caln">{$smarty.const.LN_CALN}:</label></td>
		<td><input type="text" name="caln" id="caln" value="{$sour.caln}" /></td>
	</tr>
	<tr>
		<td><label for="medi">{$smarty.const.LN_MEDI}:</label></td>
		<td><input type="text" name="medi" id="medi" value="{$sour.medi}" /></td>
	</tr>
	<tr>
		<td><label for="refn">{$smarty.const.LN_REFN}:</label></td>
		<td><input type="text" name="refn" id="refn" value="{$sour.refn}" /></td>
	</tr>
	<tr>
		<td><label for="rin">{$smarty.const.LN_RIN}:</label></td>
		<td><input type="text" name="rin" id="rin" value="{$sour.rin}" /></td>
	</tr>
</tbody>
<tbody>
	<tr>
		<th><label for="page">{$smarty.const.LN_REPOSITORY}:</label></th>
		<th>{html_options name=repo id=repo options=$repo_list}</th>
	</tr>
	<tr>
		<td><label for="name">{$smarty.const.LN_NAME}:</label></td>
		<td><input type="text" name="name" id="name" value="{$sour.name}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="repo_refn">{$smarty.const.LN_REFN}:</label></td>
		<td><input type="text" name="repo_refn" id="repo_refn" value="{$sour.repo_refn}" /></td>
	</tr>
	<tr>
		<td><label for="repo_rin">{$smarty.const.LN_RIN}:</label></td>
		<td><input type="text" name="repo_rin" id="repo_rin" value="{$sour.repo_rin}" /></td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_REPOSITORY}:</td>
		<td>{if $repo}<a href="{$repo.url}">{$repo.name}</a>{/if}</td>
	</tr>
</tbody>
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>
